maverick: proc mounts doesnt exist either, lets just copy it to the chroot

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 13 years ago
parent 6e295b41ff
commit 714162cfa1

@ -7,8 +7,8 @@ if [ -f /etc/mtab ] ; then
else
#Currently only Maverick, but log if something else does it..
touch /boot/uboot/debug/no_mtab
FINAL_PART=$(cat /proc/mounts | grep /dev/ | grep -v devpts | grep " / " | awk '{print $1}')
FINAL_FSTYPE=$(cat /proc/mounts | grep /dev/ | grep -v devpts | grep " / " | awk '{print $3}')
FINAL_PART=$(cat /mounts | grep /dev/ | grep "/target " | awk '{print $1}')
FINAL_FSTYPE=$(cat /mounts | grep /dev/ | grep "/target " | awk '{print $3}')
fi
#Cleanup: NetInstall Files
@ -41,6 +41,5 @@ mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d
rm -f /boot/uboot/linux-image-*_1.0*_arm*.deb || true
#Debug:
cat /proc/mounts > /boot/uboot/debug/proc_mounts.log
mount > /boot/uboot/debug/mount.log

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,31 @@
@@ -0,0 +1,34 @@
+#!/bin/sh -e
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+cp /etc/finish-install.sh /target/etc/finish-install.sh
@ -27,7 +27,10 @@ index 0000000..6d06fc7
+ rm -f /etc/rcn.conf
+
+ mount -o bind /sys /target/sys
+ cat /proc/mounts > /target/mounts
+ cat /proc/mounts > /target/boot/uboot/debug/proc_mounts
+ chroot /target /bin/bash /etc/finish-install.sh
+ rm -f /target/mounts || true
+ cat /var/log/syslog > /target/boot/uboot/debug/syslog.log
+ umount /target/sys
+

@ -7,8 +7,8 @@ if [ -f /etc/mtab ] ; then
else
#Currently only Maverick, but log if something else does it..
touch /boot/uboot/debug/no_mtab
FINAL_PART=$(cat /proc/mounts | grep /dev/ | grep -v devpts | grep " / " | awk '{print $1}')
FINAL_FSTYPE=$(cat /proc/mounts | grep /dev/ | grep -v devpts | grep " / " | awk '{print $3}')
FINAL_PART=$(cat /mounts | grep /dev/ | grep "/target " | awk '{print $1}')
FINAL_FSTYPE=$(cat /mounts | grep /dev/ | grep "/target " | awk '{print $3}')
fi
#Cleanup: NetInstall Files
@ -79,6 +79,5 @@ mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d
rm -f /boot/uboot/linux-image-*_1.0*_arm*.deb || true
#Debug:
cat /proc/mounts > /boot/uboot/debug/proc_mounts.log
mount > /boot/uboot/debug/mount.log

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,28 @@
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/SERIAL.conf /target/etc/init/SERIAL.conf
@ -24,7 +24,10 @@ index 0000000..6d06fc7
+ rm -f /etc/rcn.conf
+
+ mount -o bind /sys /target/sys
+ cat /proc/mounts > /target/mounts
+ cat /proc/mounts > /target/boot/uboot/debug/proc_mounts
+ chroot /target /bin/bash /etc/finish-install.sh
+ rm -f /target/mounts || true
+ cat /var/log/syslog > /target/boot/uboot/debug/syslog.log
+ umount /target/sys
+

Loading…
Cancel
Save